Bug 151241 - CAN-2005-0384 pppd remote DoS
CAN-2005-0384 pppd remote DoS
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity high
: ---
: ---
Assigned To: David Miller
Brian Brock
impact=important,source=vendorsec,rep...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-16 06:08 EST by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-22 16:17:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RHEL3 version of PPP patch (420 bytes, patch)
2005-03-16 23:51 EST, David Miller
no flags Details | Diff

  None (edit)
Description Mark J. Cox (Product Security) 2005-03-16 06:08:02 EST
See #151240 for POC and patch

+++ This bug was initially created as a clone of Bug #151240 +++

Ben Martel and Stephen Blackheath discovered a DoS attack that a client of pppd
can make that can hang the server machine.  The bug is in the Linux kernel 2.6
(tested on 2.6.9), but it looks like it also exists in the 2.4 series.
Comment 1 David Miller 2005-03-16 17:02:20 EST
The patch looks fine and should apply cleanly to our RHEL3 tree.
Who will work on integration?
Comment 2 Ernie Petrides 2005-03-16 17:42:01 EST
Dave, could you please test the patch in a recent RHEL3 tree (against
the reproducer) and then post it to rhkernel-list?  Since the embargo
date has already passed, I don't think that there's any reason to
restrict the patch visibility.

Mark, would it suffice to include the fix in a U5 respin (as opposed to
issuing a pre-U5 security erratum)?

Thanks in advance.  -ernie
Comment 3 David Miller 2005-03-16 23:51:49 EST
Created attachment 112075 [details]
RHEL3 version of PPP patch
Comment 5 Ernie Petrides 2005-04-13 20:19:38 EDT
A fix for this problem has just been committed to the RHEL3 E5
patch pool this evening (in kernel version 2.4.21-27.0.3.EL).
Comment 6 Ernie Petrides 2005-04-15 21:07:06 EDT
A fix for this problem has also been committed to the RHEL3 U5
patch pool this evening (in kernel version 2.4.21-32.EL).
Comment 7 Josh Bressers 2005-04-22 16:17:37 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-293.html
Comment 8 Tim Powers 2005-05-18 09:29:20 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-294.html

Note You need to log in before you can comment on or make changes to this bug.